import 'package:flutter/material.dart';
import 'package:myapp/.old/bulb_controller.dart';
import 'package:myapp/.old/home.dart';
import 'package:provider/provider.dart';

class BulbView extends StatelessWidget {
  static final controllers = [];

  static bool get isAllOn {
    bool v = true;
    controllers.forEach((ctrl) => v &= ctrl.isOn);
    return v;
  }

  @override
  Widget build(BuildContext context) {
    //print("${controllers.length} Controllers");
    print("BulbView");
    return ChangeNotifierProvider<BulbController>(
      create: (context) {
        controllers.add(BulbController());
        return controllers.last;
      },
      child: Consumer<BulbController>(
        builder: (context, ctrl, child) => GestureDetector(
          onTap: () {
            ctrl.toggle();
            Home.controller.bg =
                BulbView.isAllOn ? Colors.yellow[100] : Colors.black;
          },
          child: Container(
            height: 200,
            width: 250,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(100),
                  topRight: Radius.circular(100),
                  bottomLeft: Radius.circular(30),
                  bottomRight: Radius.circular(30)),
              boxShadow: ctrl.isOn
                  ? <BoxShadow>[
                      BoxShadow(
                          spreadRadius: 5,
                          color: Colors.orange,
                          blurRadius: 100)
                    ]
                  : null,
              color: ctrl.isOn ? Colors.yellow : Colors.white,
            ),
          ),
        ),
      ),
    );
  }
}
