import 'package:flutter/material.dart';
import 'package:myapp/.old/home_controller.dart';
import 'package:myapp/.old/bulb_view.dart';
import 'package:provider/provider.dart';

class Home extends StatelessWidget {
  static final _controllers = [];

  static HomeController get controller => _controllers.first;

  @override
  Widget build(BuildContext context) {
    print("HomePage");
    return ChangeNotifierProvider<HomeController>(
      create: (context) {
        _controllers.add(HomeController());
        return _controllers.last;
      },
      child: Consumer<HomeController>(
        builder: (context, ctrl, child) => Scaffold(
          backgroundColor: ctrl.bg,
          body: Center(
            child: Row(
              children: [
                BulbView(),
                BulbView(),
                BulbView(),
              ],
            ),
          ),
          floatingActionButton: FloatingActionButton(
            onPressed: () {
              BulbView.controllers.forEach((ctrl) => ctrl.toggle());
              ctrl.bg = BulbView.isAllOn ? Colors.yellow[100] : Colors.black;
            }, //ctrl.toggleAll(),
            child: Icon(Icons.refresh),
          ),
        ),
      ),
    );
  }
}
